Package org.picocontainer

# Interface ComponentMonitorStrategy

All Known Implementing Classes:
  `AbstractAdapter`, `AbstractBehavior`, `AbstractComponentMonitor`, `AbstractFieldInjector`, `AbstractInjector`, `AbstractMonitoringLifecycleStrategy`, `AnnotatedFieldInjector`, `AnnotatedMethodInjector`, `Automated`, `Cached`, `ComposingMonitor`, `CompositeInjector`, `ConstructorInjector`, `Decorated`, `DefaultClassLoadingPicoContainer`, `DefaultPicoContainer`, `DefaultPicoContainer.LateInstance`, `FieldDecorated`, `Guarded`, `HiddenImplementation`, `InstanceAdapter`, `Intercepted`, `IterativeInjector`, `JavaEE5LifecycleStrategy`, `Locked`, `MethodInjector`, `MethodInjector.ByMethodName`, `MethodInjector.ByReflectionMethod`, `MultiInjector`, `NamedFieldInjector`, `NamedMethodInjector`, `PropertyApplicator`, `ReflectionLifecycleStrategy`, `SetterInjector`, `SingleMemberInjector`, `StartableLifecycleStrategy`, `Stored`, `Synchronized`, `ThreadCached`, `TieringPicoContainer`, `TransientPicoContainer`, `TypedFieldInjector`

public interface ComponentMonitorStrategy

Interface responsible for changing monitoring strategy. It may be implemented by `containers` and single `component adapters`. The choice of supporting the monitor strategy is left to the implementers of the container and adapters.

Author:
  Paul Hammant, Joerg Schaible, Mauro Talevi

## Method Summary

Modifier and Type
Method
Description
`void`
`changeMonitor(ComponentMonitor monitor)`
Changes the component monitor used
`ComponentMonitor`
`currentMonitor()`
Returns the monitor currently used

## Method Details

### changeMonitor

void changeMonitor(ComponentMonitor monitor)
Changes the component monitor used

Parameters:
  `monitor` - the new ComponentMonitor to use

### currentMonitor

ComponentMonitor currentMonitor()
Returns the monitor currently used

Returns:
  The ComponentMonitor currently used